echo off
cls
echo Use this batch file to move your VisualTablet license
echo from your hard disk drive to the MASTER installation diskette.
echo.
echo Start an MS-DOS prompt from the 'Start Menu' under 'Programs'.
echo Log on to the drive VisualTablet is installed on and change to
echo the root directory. Then log on to the MASTER diskette.
echo.
echo Example:
echo.
echo     a:             -- Log on to MASTER diskette
echo     hd2flpy c: a:  -- Where c: is the local disk drive and
echo                            a: is the location of the MASTER diskette.
echo.
echo Transferring the VisualTablet license from %1 ............
echo.
%1
cd \
%2
scpbat R %1 %2 VT2008

if errorlevel 255 goto :next1
goto :erorlist

:next1

echo.
echo Removal complete!
echo.

goto :end

:erorlist
if errorlevel 254 goto :doserr
if errorlevel 253 goto :parmerr
if errorlevel 252 goto :maserr
if errorlevel 251 goto :clonerr
if errorlevel 250 goto :abort
if errorlevel 248 goto :memerr
if errorlevel 23 goto :error23
if errorlevel 19 goto :error19
if errorlevel 13 goto :error13
if errorlevel 10 goto :error10
if errorlevel 9 goto :error9
if errorlevel 6 goto :error6
if errorlevel 3 goto :error3
if errorlevel 0 goto :error0

:error0
echo (00) Installation error on MASTER PROGRAM medium!
echo.
goto :end

:error3
echo (03) Installation error on MASTER PROGRAM medium!
echo.
goto :end

:error6
echo (06) Invalid MASTER PROGRAM diskette!
echo.
goto :end

:error9
echo (09) Error when attempting to remove installation!
echo.
goto :end

:error10
echo (10) Critical drive error!
echo.
goto :end

:error13
echo (13) Program password mismatch!
echo.
goto :end

:error19
echo (19) Only CLONE PROGRAM installations can be removed!
echo.
goto :end

:error23
echo (23) This program is not installed for a file server!
echo.
goto :end

:memerr
echo (248) Critical RAM error!
echo.
goto :end

:abort
echo (250) Removal process aborted!
echo.
goto :end

:clonerr
echo (251) Invalid CLONE PROGRAM drive letter!
echo.
goto :end

:maserr
echo (252) Invalid MASTER PROGRAM drive letter!
echo.
goto :end

:parmerr
echo Error with drive letter specifications!
echo License has not been moved.
goto :end

:doserr
echo (254) DOS version 2.00 or greater is required to run this program!
echo.
goto :end

:end
pause

